/***********************************************
 * THEME: BLOG
 ***********************************************/
(function ($) {

	'use strict';

	// check if plugin defined
	if (typeof Swiper === 'undefined') {
		return;
	}

	VLTJS.blog = {
		init: function () {

			VLTJS.blog.postFormatGallerySlider();
			VLTJS.blog.widgetPostlistSlider();

			VLTJS.document.on('loadedNewItems.vpf', function (event, vpObject) {
				if ('vpf' !== event.namespace) {
					return;
				}
				VLTJS.blog.postFormatGallerySlider();
				if (typeof $.fn.fitVids !== 'undefined') {
					VLTJS.body.fitVids();
				}
			});

		},
		postFormatGallerySlider: function () {

			$('.vlt-post-media__gallery').each(function () {

				new Swiper(this, {
					spaceBetween: 0,
					loop: true,
					slidesPerView: 1,
					grabCursor: true,
					speed: 600,
					effect: 'fade',
					pagination: {
						el: $(this).find('.vlt-swiper-pagination'),
						type: 'bullets',
						bulletClass: 'vlt-swiper-pagination-bullet',
						bulletActiveClass: 'vlt-swiper-pagination-bullet-active',
						clickable: true
					},
					navigation: {
						nextEl: $(this).find('.vlt-swiper-button--next'),
						prevEl: $(this).find('.vlt-swiper-button--prev'),
					},
				});

			});

		},
		widgetPostlistSlider: function () {

			$('.vlt-widget-post-slider').each(function () {

				new Swiper(this, {
					spaceBetween: 16,
					loop: true,
					autoplay: {
						delay: 5000,
					},
					slidesPerView: 1,
					grabCursor: true,
					speed: 600,
					mousewheel: true,
					pagination: {
						el: $(this).find('.vlt-swiper-pagination'),
						type: 'bullets',
						bulletClass: 'vlt-swiper-pagination-bullet',
						bulletActiveClass: 'vlt-swiper-pagination-bullet-active',
						clickable: true
					}
				});

			});

		}
	};

	VLTJS.blog.init();

})(jQuery);