/***********************************************
 * THEME: DOCSPRESS
 ***********************************************/
(function ($) {

	'use strict';

	VLTJS.docsPress = {
		init: function () {

			/**
			* Nav link manipulation
			*/
			$('.docspress-nav-list a, .docspress-single-articles a').each(function () {
				const $this = $(this),
					sup = $this.find('sup');

				$this.attr('rel', 'nofollow');
				sup.text(sup.text().replace(/[^0-9\.]+/g, ""));

			});

			/**
			* Remove overflow for sticky
			*/
			if ($('.docspress-single-sidebar').length) {
				$('.vlt-main').css('overflow', 'inherit');
			}

			/**
			* Permalink copy
			*/
			$('.vlt-post-share-large__permalink').on('click', 'span', function () {
				$(this).parent().find('input[name="shortlink"]').get(0).select();
				document.execCommand('copy');
			});

		}

	};

	VLTJS.docsPress.init();

	VLTJS.document.on('docspress_ajax_loaded', function() {
		VLTJS.docsPress.init();
	});

})(jQuery);
