/***********************************************
 * THEME: SITE TO TOP
 ***********************************************/
(function ($) {

	'use strict';

	const $backToTopBtn = $('.vlt-site-back-to-top');

	if (!$backToTopBtn.length) {
		return;
	}

	// Back to top
	$backToTopBtn.on('click', function (e) {
		e.preventDefault();
		setTimeout(function () {
			window.scrollTo({
				top: 0,
				behavior: 'smooth',
			});
		}, 2);
	});

	const $progressPath = $backToTopBtn.find('path').get(0),
		pathLength = $progressPath.getTotalLength();
		$progressPath.style.transition = $progressPath.style.WebkitTransition = 'none';
		$progressPath.style.strokeDasharray = pathLength + ' ' + pathLength;
		$progressPath.style.strokeDashoffset = pathLength;
		$progressPath.getBoundingClientRect();
		$progressPath.style.transition = $progressPath.style.WebkitTransition = 'stroke-dashoffset 10ms linear';

	function _update_progress() {
		const scroll = VLTJS.window.scrollTop(),
			height = VLTJS.document.outerHeight() - VLTJS.window.outerHeight(),
			progress = pathLength - (scroll * pathLength / height);
		$progressPath.style.strokeDashoffset = progress;
	}

	_update_progress();
	VLTJS.window.on('scroll', _update_progress);

	function _show_btn() {
		$backToTopBtn.removeClass('is-hidden').addClass('is-visible');
	}

	function _hide_btn() {
		$backToTopBtn.removeClass('is-visible').addClass('is-hidden');
	}

	_hide_btn();

	VLTJS.throttleScroll(function (type, scroll) {
		const offset = VLTJS.window.outerHeight() + 100;
		if (scroll > offset) {
			if (type === 'down') {
				_hide_btn();
			} else if (type === 'up') {
				_show_btn();
			}
		} else {
			_hide_btn();
		}
	});

})(jQuery);