/***********************************************
 * THEME: TIC TAC TOE
 ***********************************************/
(function ($) {

	'use strict';

	const $ticTacToe = $('.vlt-tic-tac-toe'),
		$sq1 = $ticTacToe.find('#square1'),
		$sq2 = $ticTacToe.find('#square2'),
		$sq3 = $ticTacToe.find('#square3'),
		$sq4 = $ticTacToe.find('#square4'),
		$sq5 = $ticTacToe.find('#square5'),
		$sq6 = $ticTacToe.find('#square6'),
		$sq7 = $ticTacToe.find('#square7'),
		$sq8 = $ticTacToe.find('#square8'),
		$sq9 = $ticTacToe.find('#square9');

	let	playValid = false;

	function validatePlay(squareplayed) {
		if ($(squareplayed).hasClass('free')) {
			playValid = true;
		} else {
			playValid = false;
			return false;
		}
	}

	function clearBoard() {
		$ticTacToe.find('.tile').removeClass('played');
		$ticTacToe.find('.tile').removeClass('o-mark');
		$ticTacToe.find('.tile').removeClass('x-mark');
		$ticTacToe.find('.tile').addClass('free');

		setTimeout(function () {
			$ticTacToe.nextAll('.vlt-alert-message').fadeOut(500);
		}, 2000);
	}

	function winAlert(player) {
		if (player == 'x') {
			$('<div class="vlt-alert-message">' + VLT_LOCALIZE_DATAS.tic_tac_toe_win + '</div>').insertAfter($ticTacToe);
		} else {
			$('<div class="vlt-alert-message">' + VLT_LOCALIZE_DATAS.tic_tac_toe_lost + '</div>').insertAfter($ticTacToe);
		}
		clearBoard();
	}

	function checkWin() {

		if ( $sq1.hasClass('x-mark') && $sq2.hasClass('x-mark') && $sq3.hasClass('x-mark') ) {
			winAlert('x');
		} else if ( $sq1.hasClass('o-mark') && $sq2.hasClass('o-mark') && $sq3.hasClass('o-mark') ) {
			winAlert('o');
		}

		else if ( $sq4.hasClass('x-mark') && $sq5.hasClass('x-mark') && $sq6.hasClass('x-mark') ) {
			winAlert('x');
		} else if ( $sq4.hasClass('o-mark') && $sq5.hasClass('o-mark') && $sq6.hasClass('o-mark') ) {
			winAlert('o');
		}

		else if ( $sq7.hasClass('x-mark') && $sq8.hasClass('x-mark') && $sq9.hasClass('x-mark') ) {
			winAlert('x');
		} else if ( $sq7.hasClass('o-mark') && $sq8.hasClass('o-mark') && $sq9.hasClass('o-mark') ) {
			winAlert('o');
		}

		else if ( $sq1.hasClass('x-mark') && $sq4.hasClass('x-mark') && $sq7.hasClass('x-mark') ) {
			winAlert('x');
		} else if ( $sq1.hasClass('o-mark') && $sq4.hasClass('o-mark') && $sq7.hasClass('o-mark') ) {
			winAlert('o');
		}

		else if ( $sq5.hasClass('x-mark') && $sq2.hasClass('x-mark') && $sq8.hasClass('x-mark') ) {
			winAlert('x');
		} else if ( $sq5.hasClass('o-mark') && $sq2.hasClass('o-mark') && $sq8.hasClass('o-mark') ) {
			winAlert('o');
		}

		else if ( $sq6.hasClass('x-mark') && $sq9.hasClass('x-mark') && $sq3.hasClass('x-mark') ) {
			winAlert('x');
		} else if ( $sq6.hasClass('o-mark') && $sq9.hasClass('o-mark') && $sq3.hasClass('o-mark') ) {
			winAlert('o');
		}

		else if ( $sq1.hasClass('x-mark') && $sq5.hasClass('x-mark') && $sq9.hasClass('x-mark') ) {
			winAlert('x');
		} else if ( $sq1.hasClass('o-mark') && $sq5.hasClass('o-mark') && $sq9.hasClass('o-mark') ) {
			winAlert('o');
		}

		else if ( $sq5.hasClass('x-mark') && $sq7.hasClass('x-mark') && $sq3.hasClass('x-mark') ) {
			winAlert('x');
		} else if ( $sq5.hasClass('o-mark') && $sq7.hasClass('o-mark') && $sq3.hasClass('o-mark') ) {
			winAlert('o');
		}
	}

	function checkDraw() {
		if (!($ticTacToe.find('.tile').hasClass('free'))) {
			$('<div class="vlt-alert-message">' + VLT_LOCALIZE_DATAS.tic_tac_toe_draw + '</div>').insertAfter($ticTacToe);
			clearBoard();
		}
	}

	function Oplay() {

		// Function for when O plays tactically
		function Oplaying(square) {

			validatePlay(square);

			if (playValid) {
				square.removeClass('free');
				square.addClass('played');
				square.addClass('o-mark');
			} else {
				Orandomplay();
			}

		}

		// Function for when O plays randomly
		function Orandomplay() {
			for (let i = 0; i < 10; i++) {
				// Loop to find a valid play
				const randomNumber = Math.floor((Math.random() * 9) + 1);
				const $randomSquare = $('#square' + randomNumber);
				validatePlay($randomSquare);
				if (playValid) {
					$randomSquare.removeClass('free');
					$randomSquare.addClass('played');
					$randomSquare.addClass('o-mark');
					break;
				}
			}
		}

		// Tactical Plays
		const win123_$sq3 = ($sq1.hasClass('x-mark') && $sq2.hasClass('x-mark') || $sq1.hasClass('o-mark') && $sq2.hasClass('o-mark')) && !($sq3.hasClass('played')),
			win123_$sq2 = ($sq1.hasClass('x-mark') && $sq3.hasClass('x-mark') || $sq1.hasClass('o-mark') && $sq3.hasClass('o-mark')) && !($sq2.hasClass('played')),
			win123_$sq1 = ($sq3.hasClass('x-mark') && $sq2.hasClass('x-mark') || $sq3.hasClass('o-mark') && $sq2.hasClass('o-mark')) && !($sq1.hasClass('played')),

			win456_$sq6 = ($sq4.hasClass('x-mark') && $sq5.hasClass('x-mark') || $sq4.hasClass('o-mark') && $sq5.hasClass('o-mark')) && !($sq6.hasClass('played')),
			win456_$sq5 = ($sq4.hasClass('x-mark') && $sq6.hasClass('x-mark') || $sq4.hasClass('o-mark') && $sq6.hasClass('o-mark')) && !($sq5.hasClass('played')),
			win456_$sq4 = ($sq5.hasClass('x-mark') && $sq6.hasClass('x-mark') || $sq5.hasClass('o-mark') && $sq6.hasClass('o-mark')) && !($sq4.hasClass('played')),

			win789_$sq9 = ($sq7.hasClass('x-mark') && $sq8.hasClass('x-mark') || $sq7.hasClass('o-mark') && $sq8.hasClass('o-mark')) && !($sq9.hasClass('played')),
			win789_$sq8 = ($sq7.hasClass('x-mark') && $sq9.hasClass('x-mark') || $sq7.hasClass('o-mark') && $sq9.hasClass('o-mark')) && !($sq8.hasClass('played')),
			win789_$sq7 = ($sq8.hasClass('x-mark') && $sq9.hasClass('x-mark') || $sq8.hasClass('o-mark') && $sq9.hasClass('o-mark')) && !($sq7.hasClass('played')),

			win147_$sq7 = ($sq1.hasClass('x-mark') && $sq4.hasClass('x-mark') || $sq1.hasClass('o-mark') && $sq4.hasClass('o-mark')) && !($sq7.hasClass('played')),
			win147_$sq4 = ($sq1.hasClass('x-mark') && $sq7.hasClass('x-mark') || $sq1.hasClass('o-mark') && $sq7.hasClass('o-mark')) && !($sq4.hasClass('played')),
			win147_$sq1 = ($sq4.hasClass('x-mark') && $sq7.hasClass('x-mark') || $sq4.hasClass('o-mark') && $sq7.hasClass('o-mark')) && !($sq1.hasClass('played')),

			win528_$sq8 = ($sq5.hasClass('x-mark') && $sq2.hasClass('x-mark') || $sq5.hasClass('o-mark') && $sq2.hasClass('o-mark')) && !($sq8.hasClass('played')),
			win528_$sq2 = ($sq5.hasClass('x-mark') && $sq8.hasClass('x-mark') || $sq5.hasClass('o-mark') && $sq8.hasClass('o-mark')) && !($sq2.hasClass('played')),
			win528_$sq5 = ($sq2.hasClass('x-mark') && $sq8.hasClass('x-mark') || $sq2.hasClass('o-mark') && $sq8.hasClass('o-mark')) && !($sq5.hasClass('played')),

			win693_$sq3 = ($sq6.hasClass('x-mark') && $sq9.hasClass('x-mark') || $sq6.hasClass('o-mark') && $sq9.hasClass('o-mark')) && !($sq3.hasClass('played')),
			win693_$sq9 = ($sq6.hasClass('x-mark') && $sq3.hasClass('x-mark') || $sq6.hasClass('o-mark') && $sq3.hasClass('o-mark')) && !($sq9.hasClass('played')),
			win693_$sq6 = ($sq9.hasClass('x-mark') && $sq3.hasClass('x-mark') || $sq9.hasClass('o-mark') && $sq3.hasClass('o-mark')) && !($sq6.hasClass('played')),

			win159_$sq9 = ($sq1.hasClass('x-mark') && $sq5.hasClass('x-mark') || $sq1.hasClass('o-mark') && $sq5.hasClass('o-mark')) && !($sq9.hasClass('played')),
			win159_$sq5 = ($sq1.hasClass('x-mark') && $sq9.hasClass('x-mark') || $sq1.hasClass('o-mark') && $sq9.hasClass('o-mark')) && !($sq5.hasClass('played')),
			win159_$sq1 = ($sq5.hasClass('x-mark') && $sq9.hasClass('x-mark') || $sq5.hasClass('o-mark') && $sq9.hasClass('o-mark')) && !($sq1.hasClass('played')),

			win573_$sq3 = ($sq5.hasClass('x-mark') && $sq7.hasClass('x-mark') || $sq5.hasClass('o-mark') && $sq7.hasClass('o-mark')) && !($sq3.hasClass('played')),
			win573_$sq5 = ($sq5.hasClass('x-mark') && $sq3.hasClass('x-mark') || $sq5.hasClass('o-mark') && $sq3.hasClass('o-mark')) && !($sq5.hasClass('played')),
			win573_$sq7 = ($sq7.hasClass('x-mark') && $sq3.hasClass('x-mark') || $sq7.hasClass('o-mark') && $sq3.hasClass('o-mark')) && !($sq7.hasClass('played'));

		// Win 1 2 3
		if ( win123_$sq3 ) {
			Oplaying($sq3)
		} else if ( win123_$sq2 ) {
			Oplaying($sq2)
		} else if ( win123_$sq1 )  {
			Oplaying($sq1)
		}

		// Win 4 5 6
		else if ( win456_$sq6 ) {
			Oplaying($sq6)
		} else if ( win456_$sq5 ) {
			Oplaying($sq5)
		} else if ( win456_$sq4 ) {
			Oplaying($sq4)
		}

		// Win 7 8 9
		else if ( win789_$sq9 ) {
			Oplaying($sq9)
		} else if ( win789_$sq8 ) {
			Oplaying($sq8)
		} else if ( win789_$sq7 ) {
			Oplaying($sq7)
		}

		// Win 1 4 7
		else if ( win147_$sq7 ) {
			Oplaying($sq7)
		} else if ( win147_$sq4 ) {
			Oplaying($sq4)
		} else if ( win147_$sq1 ) {
			Oplaying($sq1)
		}

		// Win 5 2 8
		else if ( win528_$sq8 ) {
			Oplaying($sq8)
		} else if ( win528_$sq2 ) {
			Oplaying($sq2)
		} else if ( win528_$sq5 ) {
			Oplaying($sq5)
		}

		// Win 6 9 3
		else if ( win693_$sq3 ) {
			Oplaying($sq3)
		} else if ( win693_$sq9 ) {
			Oplaying($sq9)
		} else if ( win693_$sq6 ) {
			Oplaying($sq6)
		}

		// Win 1 5 9
		else if ( win159_$sq9 ) {
			Oplaying($sq9)
		} else if ( win159_$sq5 ) {
			Oplaying($sq5)
		} else if ( win159_$sq1 ) {
			Oplaying($sq1)
		}

		// Win 5 7 3
		else if ( win573_$sq3 ) {
			Oplaying($sq3)
		} else if ( win573_$sq7 ) {
			Oplaying($sq7)
		} else if ( win573_$sq5 ) {
			Oplaying($sq5)
		} else {
			Orandomplay();
		}

		checkDraw();
		checkWin();

	}

	$ticTacToe.find('.tile').on('click', function Xplay() {
		validatePlay(this);
		if (playValid) {
			$(this).removeClass('free');
			$(this).addClass('played');
			$(this).addClass('x-mark');
			checkDraw();
			checkWin();
			Oplay();
		}
	});

	Oplay();

})(jQuery);