/***********************************************
 * WIDGET: COUNTER UP
 ***********************************************/
(function ($) {

	'use strict';

	// check if plugin defined
	if (typeof $.fn.numerator == 'undefined') {
		return;
	}

	VLTJS.counterUp = {
		init: function ($scope) {

			$scope = typeof $scope === 'undefined' ? VLTJS.body : $scope;

			const $counterUp = $scope.find('.vlt-counter-up');

			$counterUp.each(function () {

				const $this = $(this),
					dataAnimationDuration = $this.data('animation-speed') || 1000,
					$endingNumber = $this.find('.counter'),
					endingNumberValue = $endingNumber.text(),
					dataDelimiter = $this.data('delimiter') || ',';

				if ($this.hasClass('vlt-counter-up--style-2')) {
					$endingNumber.css({
						'min-width': $endingNumber.outerWidth() + 'px'
					});
				}

				$this.one('inview', function () {

					$endingNumber.text('0');

					$endingNumber.numerator({
						easing: 'linear',
						duration: dataAnimationDuration,
						delimiter: dataDelimiter,
						toValue: endingNumberValue,
					});

				});

			});

		}
	}

	VLTJS.window.on('elementor/frontend/init', function () {
		elementorFrontend.hooks.addAction(
			'frontend/element_ready/vlt-counter-up.default',
			VLTJS.counterUp.init
		);
	});

	VLTJS.counterUp.init();

	VLTJS.document.on('docspress_ajax_loaded', function (e) {
		VLTJS.counterUp.init();
	});

})(jQuery);