/***********************************************
 * WIDGET: MARQUEE TEXT
 ***********************************************/
(function ($) {

	'use strict';

	// check if plugin defined
	if (typeof gsap == 'undefined') {
		return;
	}

	VLTJS.marqueeEffect = {
		init: function ($scope) {

			$scope = typeof $scope === 'undefined' ? VLTJS.body : $scope;

			const $marqueeElement = $scope.find('[data-marquee]');

			$marqueeElement.each(function () {
				const $this = $(this),
					dataSpeed = $this.data('marquee') || 0.5,
					$marqueeText = $this.find('[data-marquee-text]'),
					elWidth = $marqueeText.outerWidth(),
					elHeight = $marqueeText.outerHeight(),
					duration = elWidth / elHeight * dataSpeed + 's';

				gsap.set($marqueeText, {
					animationDuration: duration
				});

			});

		}
	}

	VLTJS.window.on('elementor/frontend/init', function () {
		elementorFrontend.hooks.addAction(
			'frontend/element_ready/vlt-marquee-text.default',
			VLTJS.marqueeEffect.init
		);
	});

	VLTJS.window.on('elementor/frontend/init', function () {
		elementorFrontend.hooks.addAction(
			'frontend/element_ready/vlt-team-member.default',
			VLTJS.marqueeEffect.init
		);
	});

	VLTJS.marqueeEffect.init();

	VLTJS.document.on('init.vpf endLoadingNewItems.vpf docspress_ajax_loaded', function (e) {
		VLTJS.marqueeEffect.init();
	});

})(jQuery);