/***********************************************
 * WIDGET: TABS
 ***********************************************/
(function ($) {

	'use strict';

	VLTJS.tabs = {
		init: function ($scope) {

			$scope = typeof $scope === 'undefined' ? VLTJS.body : $scope;

			const $tabs = $scope.find('.vlt-tabs');

			$tabs.each(function () {

				const $this = $(this),
					dataImagesAnchor = $this.data('images-anchor');

				$(dataImagesAnchor).add($this).find('li:nth-child(1)').addClass('is-active');

				$this.on('mouseenter', '.vlt-tabs__item', function() {

					const $current = $(this),
						index = $current.index();

					$(dataImagesAnchor).find('.vlt-tabs-images__image').removeClass('is-active');
					$current.find('.vlt-tabs__item').removeClass('is-active');

					$current.addClass('is-active');
					$(dataImagesAnchor).find('.vlt-tabs-images__image').eq(index).addClass('is-active');

				});

			});

		}
	};

	VLTJS.window.on('elementor/frontend/init', function () {
		elementorFrontend.hooks.addAction(
			'frontend/element_ready/vlt-tabs.default',
			VLTJS.tabs.init
		);
	});

	VLTJS.window.on('elementor/frontend/init', function () {
		elementorFrontend.hooks.addAction(
			'frontend/element_ready/vlt-tabs-images.default',
			VLTJS.tabs.init
		);
	});

	VLTJS.tabs.init();

	VLTJS.document.on('docspress_ajax_loaded', function () {
		VLTJS.tabs.init();
	});

})(jQuery);