/***********************************************
 * SHOWCASE: STYLE 1
 ***********************************************/
(function ($) {

	'use strict';

	// check if plugin defined
	if (typeof Swiper === 'undefined') {
		return;
	}

	const showcaseStyle1 = function ($scope, $) {

		const $showcase = $scope.find('.vlt-showcase--style-1'),
			dataAnchor = showcase.data('navigation-dataAnchor');

		const swiper = new Swiper($showcase, {
			init: false,
			speed: 1500,
			loop: false,
			parallax: true,
			grabCursor: true,
			mousewheel: true,
			spaceBetween: 0,
			slidesPerView: 1,
			navigation: {
				nextEl: $(dataAnchor).find('.vlt-swiper-button--next'),
				prevEl: $(dataAnchor).find('.vlt-swiper-button--prev'),
			},
			pagination: {
				el: $(dataAnchor).find('.vlt-swiper-pagination'),
				clickable: false,
				type: 'fraction',
				renderFraction: function (currentClass, totalClass) {
					return '<span class="' + currentClass + '"></span>' +
						'<span class="sep">/</span>' +
						'<span class="' + totalClass + '"></span>';
				}
			},
		});

		$showcase.find('.vlt-btn').on('mouseenter', function () {
			$showcase.addClass('is-hover');
		}).on('mouseleave', function () {
			$showcase.removeClass('is-hover');
		});

		swiper.on('init slideChange', function () {
			const $progress = $(dataAnchor).find('.vlt-swiper-progress'),
				current = swiper.realIndex,
				total = $showcase.find('.swiper-slide').not('.swiper-slide-duplicate').length,
				scale = (current + 1) / total;

			if ($progress.data('direction') == 'vertical') {
				$progress.find('.current').text(VLTJS.addLedingZero(current + 1));
				$progress.find('.total').text(VLTJS.addLedingZero(total));
			} else {
				$progress.find('.current').text(current + 1);
				$progress.find('.total').text(total);
			}

			if ($progress.length && $progress.find('.bar > span').length) {
				$progress.find('.bar > span')[0].style.setProperty('--scaleX', scale);
				$progress.find('.bar > span')[0].style.setProperty('--speed', swiper.params.speed + 'ms');
			}
		});

		swiper.init();

	}

	VLTJS.window.on('elementor/frontend/init', function () {
		elementorFrontend.hooks.addAction(
			'frontend/element_ready/vlt-showcase-1.default',
			showcaseStyle1
		);
	});

})(jQuery);