/***********************************************
 * SHOWCASE: STYLE 2
 ***********************************************/
(function ($) {

	'use strict';

	// check if plugin defined
	if (typeof Swiper === 'undefined') {
		return;
	}

	const showcaseStyle2 = function ($scope, $) {

		const $showcase = $scope.find('.vlt-showcase--style-2'),
			dataAnchor = showcase.data('navigation-anchor');

		const swiper = new Swiper($showcase, {
			init: false,
			direction: 'vertical',
			lazy: true,
			loop: false,
			parallax: true,
			slidesPerView: 1,
			mousewheel: true,
			grabCursor: true,
			speed: 1000,
			navigation: {
				nextEl: $(dataAnchor).find('.vlt-swiper-button--next'),
				prevEl: $(dataAnchor).find('.vlt-swiper-button--prev'),
			},
			pagination: {
				el: $(dataAnchor).find('.vlt-swiper-pagination'),
				clickable: false,
				type: 'fraction',
				renderFraction: function (currentClass, totalClass) {
					return '<span class="' + currentClass + '"></span>' +
						'<span class="sep">/</span>' +
						'<span class="' + totalClass + '"></span>';
				}
			},
		});

		VLTJS.document.on('keyup', function (e) {
			if (e.keyCode == 37) {
				// left
				swiper.slidePrev();
			} else if (e.keyCode == 39) {
				// right
				swiper.slideNext();
			}
		});

		swiper.on('init slideChange', function () {
			const $progress = $(dataAnchor).find('.vlt-swiper-progress'),
				current = swiper.realIndex,
				total = $showcase.find('.swiper-slide').not('.swiper-slide-duplicate').length,
				scale = (current + 1) / total;

			if ($progress.data('direction') == 'vertical') {
				$progress.find('.current').text(VLTJS.addLedingZero(current + 1));
				$progress.find('.total').text(VLTJS.addLedingZero(total));
			} else {
				$progress.find('.current').text(current + 1);
				$progress.find('.total').text(total);
			}

			if ($progress.length && $progress.find('.bar > span').length) {
				$progress.find('.bar > span')[0].style.setProperty('--scaleX', scale);
				$progress.find('.bar > span')[0].style.setProperty('--speed', swiper.params.speed + 'ms');
			}
		});

		swiper.init();

	};

	VLTJS.window.on('elementor/frontend/init', function () {
		elementorFrontend.hooks.addAction(
			'frontend/element_ready/vlt-showcase-2.default',
			showcaseStyle2
		);
	});

})(jQuery);