/***********************************************
 * SHOWCASE: STYLE 3
 ***********************************************/
(function ($) {

	'use strict';

	// check if plugin defined
	if (typeof Swiper === 'undefined') {
		return;
	}

	const showcaseStyle3 = function ($scope, $) {

		const $showcase = $scope.find('.vlt-showcase--style-3'),
			dataAnchor = showcase.data('navigation-anchor');

		const swiper = new Swiper($showcase, {
			init: false,
			direction: 'vertical',
			lazy: true,
			loop: false,
			parallax: true,
			mousewheel: {
				releaseOnEdges: true,
			},
			slidesPerView: 1,
			speed: 1000,
			grabCursor: true,
			touchReleaseOnEdges: true,
			navigation: {
				nextEl: $(dataAnchor).find('.vlt-swiper-button--next'),
				prevEl: $(dataAnchor).find('.vlt-swiper-button--prev'),
			},
			pagination: {
				el: $(dataAnchor).find('.vlt-swiper-pagination'),
				clickable: false,
				type: 'fraction',
				renderFraction: function (currentClass, totalClass) {
					return '<span class="' + currentClass + '"></span>' +
						'<span class="sep">/</span>' +
						'<span class="' + totalClass + '"></span>';
				}
			},
		});

		swiper.on('init slideChange', function () {

			const $progress = $(dataAnchor).find('.vlt-swiper-progress'),
				current = swiper.realIndex,
				total = $showcase.find('.swiper-slide').not('.swiper-slide-duplicate').length,
				scale = (current + 1) / total;

			if ($progress.data('direction') == 'vertical') {
				$progress.find('.current').text(VLTJS.addLedingZero(current + 1));
				$progress.find('.total').text(VLTJS.addLedingZero(total));
			} else {
				$progress.find('.current').text(current + 1);
				$progress.find('.total').text(total);
			}

			if ($progress.length && $progress.find('.bar > span').length) {
				$progress.find('.bar > span')[0].style.setProperty('--scaleX', scale);
				$progress.find('.bar > span')[0].style.setProperty('--speed', swiper.params.speed + 'ms');
			}

		});

		swiper.init();

	};

	VLTJS.window.on('elementor/frontend/init', function () {
		elementorFrontend.hooks.addAction(
			'frontend/element_ready/vlt-showcase-3.default',
			showcaseStyle3
		);
	});

})(jQuery);