/***********************************************
 * SHOWCASE: STYLE 6
 ***********************************************/
(function ($) {

	'use strict';

	// check if plugin defined
	if (typeof Swiper === 'undefined') {
		return;
	}

	const showcaseStyle6 = function ($scope, $) {

		const $showcase = $scope.find('.vlt-showcase--style-6'),
			$images = $showcase.find('.vlt-showcase-images'),
			$links = $showcase.find('.vlt-showcase-links');

		// add active class
		$links.find('li').eq(0).addClass('is-active');

		new Swiper($links, {
			direction: 'vertical',
			slidesPerView: 'auto',
			freeMode: true,
			mousewheel: true,
		});

		const swiper = new Swiper($images, {
			loop: false,
			effect: 'fade',
			lazy: true,
			slidesPerView: 1,
			allowTouchMove: false,
			speed: 1000,
			on: {
				init: function () {
					$links.on('mouseenter', 'li', function (e) {
						e.preventDefault();
						const $currentLink = $(this);
						$links.find('li').removeClass('is-active');
						$currentLink.addClass('is-active');
						swiper.slideTo($currentLink.index());
					});
				},
			}
		});

	};

	VLTJS.window.on('elementor/frontend/init', function () {
		elementorFrontend.hooks.addAction(
			'frontend/element_ready/vlt-showcase-6.default',
			showcaseStyle6
		);
	});

})(jQuery);