/***********************************************
 * SHOWCASE: STYLE 8
 ***********************************************/
(function ($) {

	'use strict';

	// check if plugin defined
	if (typeof Swiper === 'undefined') {
		return;
	}

	const showcaseStyle8 = function ($scope, $) {

		const $showcase = $scope.find('.vlt-showcase--style-8'),
			dataAnchor = $showcase.data('navigation-anchor');

		const swiper = new Swiper($showcase, {
			init: false,
			speed: 1000,
			loop: false,
			grabCursor: true,
			initialSlide: 1,
			spaceBetween: 0,
			direction: 'vertical',
			centeredSlides: true,
			slidesPerView: 'auto',
			mousewheel: true,
			navigation: {
				nextEl: $(dataAnchor).find('.vlt-swiper-button--next'),
				prevEl: $(dataAnchor).find('.vlt-swiper-button--prev'),
			},
			pagination: {
				el: $(dataAnchor).find('.vlt-swiper-pagination'),
				clickable: false,
				type: 'fraction',
				renderFraction: function (currentClass, totalClass) {
					return '<span class="' + currentClass + '"></span>' +
						'<span class="sep">/</span>' +
						'<span class="' + totalClass + '"></span>';
				}
			}
		});

		swiper.on('init slideChange', function () {

			const $progress = $(dataAnchor).find('.vlt-swiper-progress'),
				current = swiper.realIndex,
				total = $showcase.find('.swiper-slide:not(.swiper-slide-duplicate)').length,
				scale = (current + 1) / total;

			if ($progress.data('direction') == 'vertical') {
				$progress.find('.current').text(VLTJS.addLedingZero(current + 1));
				$progress.find('.total').text(VLTJS.addLedingZero(total));
			} else {
				$progress.find('.current').text(current + 1);
				$progress.find('.total').text(total);
			}

			if ($progress.length && $progress.find('.bar > span').length) {
				$progress.find('.bar > span')[0].style.setProperty('--scaleX', scale);
				$progress.find('.bar > span')[0].style.setProperty('--speed', swiper.params.speed + 'ms');
			}

		});

		swiper.init();

	};

	VLTJS.window.on('elementor/frontend/init', function () {
		elementorFrontend.hooks.addAction(
			'frontend/element_ready/vlt-showcase-8.default',
			showcaseStyle8
		);
	});

})(jQuery);