<?php
/**
 * Docs search template
 *
 * This template can be overridden by copying it to yourtheme/docspress/search.php.
 *
 * @author nK
 * @package docspress/Templates
 * @version 1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

?>

<div class="vlt-page-title vlt-page-title--style-1">

	<div class="container">

		<h1 class="vlt-page-title__title">

			<?php
				// translators: %s search query.
				printf( esc_html__( 'Documentation search: "%s"', 'archee' ), esc_html( get_search_query() ) );
			?>

		</h1>

	</div>

</div>
<!-- /.vlt-page-title -->

<?php

docspress()->get_template_part( 'global/wrap-start' );

// phpcs:ignore
$keys = implode( '|', explode( ' ', get_search_query() ) );

?>

<div class="vlt-page-content vlt-page-content--padding">

	<article id="vlt-page post-<?php the_ID(); ?>" <?php post_class(); ?>>

		<div class="container">

			<div class="docspress-search">

				<ul class="docspress-search-list">

					<?php
						if ( have_posts() ) :
							while ( have_posts() ) :
								the_post();
								// highlight search terms in title.
								// phpcs:disable
								$title = wp_trim_words( get_the_title(), 10 );
								$title = preg_replace( '/(' . $keys . ')/iu', '<mark>\0</mark>', $title );
								$excerpt = wp_trim_words( get_the_excerpt(), 10 );
								$excerpt = preg_replace( '/(' . $keys . ')/iu', '<mark>\0</mark>', $excerpt );
								// phpcs:enable
								?>
								<li class="docspress-search-list-item">
									<a href="<?php the_permalink(); ?>" rel="nofollow">
										<span class="docspress-search-list-item-title">
											<strong><?php echo wp_kses( $title, array( 'mark' => array() ) ); ?></strong>
										</span>
										<span class="docspress-search-list-item-excerpt"><?php echo wp_kses( $excerpt, array( 'mark' => array() ) ); ?></span>
									</a>
								</li>
								<?php
							endwhile;
						endif;
					?>

				</ul>

			</div>

			<div class="clearfix"></div>

			<?php
				wp_link_pages( array(
					'before' => '<div class="vlt-link-pages"><h6>' . esc_html__( 'Pages: ', 'archee' ) . '</h6>',
					'after' => '</div>',
					'separator' => '<span class="sep">|</span>',
					'nextpagelink' => esc_html__( 'Next page', 'archee' ),
					'previouspagelink' => esc_html__( 'Previous page', 'archee' ),
					'next_or_number' => 'next'
				) );
			?>

		</div>

	</article>

</div>

<?php

docspress()->get_template_part( 'global/wrap-end' );