<?php
/**
 * Single docs adjacent links template
 *
 * This template can be overridden by copying it to yourtheme/docspress/single/adjacent-links.php.
 *
 * @author nK
 * @package docspress/Templates
 * @version 1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

// phpcs:disable
$prev_post_id = docspress()->get_previous_adjacent_doc_id();
$next_post_id = docspress()->get_next_adjacent_doc_id();
// phpcs:enable

if ( $prev_post_id || $next_post_id ) { ?>

	<nav class="vlt-docspress-single-adjacent-nav has-navbar-offset vlt-page-navigation vlt-page-navigation--style-1 docspress-single-adjacent-nav">

		<div class="container-fluid">

			<div class="row align-items-center">

				<div class="d-flex col">

					<?php if ( $prev_post_id ) : ?>

						<div class="prev">
							<a rel="nofollow" href="<?php echo esc_url( get_the_permalink( $prev_post_id ) ); ?>"><i class="fa-regular fa-fw fa-arrow-left"></i><span><?php echo esc_html( get_the_title( $prev_post_id ) ); ?></a>
						</div>

					<?php endif; ?>

				</div>

				<div class="d-flex justify-content-center col">

					<div class="all"><a href="<?php echo get_permalink( archee_get_post_parent_id() ); ?>" data-tippy-content="<?php esc_attr_e( 'Go back', 'archee' ); ?>" data-tippy-placement="top"><span class="grid"><span></span><span></span><span></span><span></span></span></a></div>

				</div>

				<div class="d-flex justify-content-end col">

					<?php if ( $next_post_id ) : ?>

						<div class="next">
							<a rel="nofollow" href="<?php echo esc_url( get_the_permalink( $next_post_id ) ); ?>"><?php echo esc_html( get_the_title( $next_post_id ) ); ?><i class="fa-regular fa-fw fa-arrow-right"></i></a>
						</div>

					<?php endif; ?>

				</div>

			</div>

		</div>

	</nav>
	<!-- /.vlt-docspress-single-adjacent-nav -->

	<?php
}
