<?php
/**
 * Single docs page template
 *
 * This template can be overridden by copying it to yourtheme/docspress/single/page.php.
 *
 * @author nK
 * @package docspress/Templates
 * @version 1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

?>

<div class="vlt-page-content">

	<?php while ( have_posts() ) : the_post(); ?>

		<article id="post-<?php the_ID(); ?>" <?php post_class( 'vlt-docspress-single docspress-single' . ( docspress()->get_option( 'ajax', 'docspress_single', true ) ? ' docspress-single-ajax' : '' ) ); ?>>

			<?php docspress()->get_template_part( 'single/sidebar' ); ?>

			<div class="vlt-docspress-single__content docspress-single-content">

				<?php docspress()->get_template_part( 'single/content-title' ); ?>

				<div class="vlt-docspress-single__text has-navbar-offset">

					<div class="container-fluid">

						<?php the_content(); ?>

						<div class="clearfix"></div>

						<?php

							wp_link_pages( array(
								'before' => '<div class="vlt-link-pages"><h6>' . esc_html__( 'Pages: ', 'archee' ) . '</h6>',
								'after' => '</div>',
								'separator' => '<span class="sep">|</span>',
								'nextpagelink' => esc_html__( 'Next page', 'archee' ),
								'previouspagelink' => esc_html__( 'Previous page', 'archee' ),
								'next_or_number' => 'next'
							) );

						?>

						<?php docspress()->get_template_part( 'single/content-articles' ); ?>

					</div>

				</div>
				<!-- /.vlt-docspress-single__text -->

				<?php if ( function_exists( 'vlthemes_get_post_share_buttons' ) && archee_get_theme_mod( 'show_share_docs' ) == 'show' ) : ?>

					<div class="vlt-doc-share has-navbar-offset">

						<div class="container-fluid">

							<div class="vlt-post-share-large">

								<h6 class="vlt-post-share-large__title"><?php esc_html_e( 'Share this', 'archee' ); ?></h6>

								<div class="vlt-post-share-large__links">
									<?php echo vlthemes_get_post_share_buttons( get_the_ID() ); ?>
								</div>

								<div class="vlt-post-share-large__permalink">
									<input type="text" name="shortlink" value="<?php the_permalink(); ?>" readonly>
									<span data-tippy-content="<?php esc_attr_e( 'Copy', 'archee' ); ?>" data-tippy-placement="top"><i class="fa-regular fa-copy"></i></span>
								</div>

							</div>

						</div>

					</div>
					<!-- /.vlt-doc-share -->

				<?php endif; ?>

				<?php

					docspress()->get_template_part( 'single/adjacent-links' );

					docspress()->get_template_part( 'single/footer' );

					docspress()->get_template_part( 'single/feedback-suggestion' );

					if ( docspress()->get_option( 'show_comments', 'docspress_single', true ) ) {
						docspress()->get_template_part( 'single/comments' );
					}

				?>

			</div>
			<!-- /.vlt-docspress-single__content -->

		</article>

	<?php endwhile; ?>

</div>
<!-- /.vlt-page-content -->