<?php

/**
 * @author: VLThemes
 * @version: 1.0.8
 */

$priority = 0;

/**
 * General
 */
VLT_Options::add_field( array(
	'type' => 'custom',
	'settings' => 'sd_1',
	'section' => 'section_docs',
	'default' => '<div class="kirki-separator">' . esc_html__( 'General', 'archee' ) . '</div>',
	'priority' => $priority++,
) );

VLT_Options::add_field( array(
	'type' => 'text',
	'settings' => 'envato_personal_token',
	'section' => 'section_docs',
	'label' => esc_html__( 'Personal Token', 'archee' ),
	'priority' => $priority++,
	'default' => '',
) );

/**
 * Docs
 */
VLT_Options::add_field( array(
	'type' => 'custom',
	'settings' => 'sd_2',
	'section' => 'section_docs',
	'default' => '<div class="kirki-separator">' . esc_html__( 'Docs', 'archee' ) . '</div>',
	'priority' => $priority++,
) );

VLT_Options::add_field( array(
	'type' => 'select',
	'settings' => 'show_share_docs',
	'section' => 'section_docs',
	'label' => esc_html__( 'Doc Share', 'archee' ),
	'priority' => $priority++,
	'choices' => array(
		'show' => esc_html__( 'Show', 'archee' ),
		'hide' => esc_html__( 'Hide', 'archee' )
	),
	'default' => 'hide',
) );

/**
 * Knowbase
 */
VLT_Options::add_field( array(
	'type' => 'custom',
	'settings' => 'sd_3',
	'section' => 'section_docs',
	'default' => '<div class="kirki-separator">' . esc_html__( 'Knowbase', 'archee' ) . '</div>',
	'priority' => $priority++,
) );

VLT_Options::add_field( array(
	'type' => 'select',
	'settings' => 'knowbase_type_pagination',
	'section' => 'section_docs',
	'label' => esc_html__( 'Type Pagination', 'archee' ),
	'priority' => $priority++,
	'choices' => array(
		'none' => esc_html__( 'None', 'archee' ),
		'paged' => esc_html__( 'Paged', 'archee' ),
		'numeric' => esc_html__( 'Numeric', 'archee' )
	),
	'default' => 'numeric',
) );

VLT_Options::add_field( array(
	'type' => 'text',
	'settings' => 'knowbase_title',
	'section' => 'section_docs',
	'label' => esc_html__( 'Page Title', 'archee' ),
	'priority' => $priority++,
	'default' => esc_html__( 'Hi! How can we help?', 'archee' ),
) );

VLT_Options::add_field( array(
	'type' => 'select',
	'settings' => 'knowbase_search_form',
	'section' => 'section_docs',
	'label' => esc_html__( 'Search Form', 'archee' ),
	'priority' => $priority++,
	'choices' => array(
		'show' => esc_html__( 'Show', 'archee' ),
		'hide' => esc_html__( 'Hide', 'archee' )
	),
	'default' => 'show',
) );

VLT_Options::add_field( array(
	'type' => 'number',
	'settings' => 'knowbase_category_count',
	'section' => 'section_docs',
	'label' => esc_html__( 'Number of Categories', 'archee' ),
	'priority' => $priority++,
	'choices' => [
		'min' => 1,
		'max' => 999,
		'step' => 1,
	],
	'default' => 3,
) );

/**
 * Changelog
 */
VLT_Options::add_field( array(
	'type' => 'custom',
	'settings' => 'sd_4',
	'section' => 'section_docs',
	'default' => '<div class="kirki-separator">' . esc_html__( 'Changelog', 'archee' ) . '</div>',
	'priority' => $priority++,
) );

VLT_Options::add_field( array(
	'type' => 'select',
	'settings' => 'changelog_type_pagination',
	'section' => 'section_docs',
	'label' => esc_html__( 'Type Pagination', 'archee' ),
	'priority' => $priority++,
	'choices' => array(
		'none' => esc_html__( 'None', 'archee' ),
		'paged' => esc_html__( 'Paged', 'archee' ),
		'numeric' => esc_html__( 'Numeric', 'archee' )
	),
	'default' => 'numeric',
) );

VLT_Options::add_field( array(
	'type' => 'text',
	'settings' => 'changelog_title',
	'section' => 'section_docs',
	'label' => esc_html__( 'Page Title', 'archee' ),
	'priority' => $priority++,
	'default' => esc_html__( 'Changelogs', 'archee' ),
) );

VLT_Options::add_field( array(
	'type' => 'select',
	'settings' => 'changelog_search_form',
	'section' => 'section_docs',
	'label' => esc_html__( 'Search Form', 'archee' ),
	'priority' => $priority++,
	'choices' => array(
		'show' => esc_html__( 'Show', 'archee' ),
		'hide' => esc_html__( 'Hide', 'archee' )
	),
	'default' => 'show',
) );