<?php

/**
 * @author: VLThemes
 * @version: 1.0.8
 */

$priority = 0;

VLT_Options::add_field( array(
	'type' => 'custom',
	'settings' => 'sfg_1',
	'section' => 'section_footer_general',
	'default' => '<div class="kirki-separator">' . esc_html__( 'General', 'archee' ) . '</div>',
	'priority' => $priority++,
) );

VLT_Options::add_field( array(
	'type' => 'select',
	'settings' => 'footer_show',
	'section' => 'section_footer_general',
	'label' => esc_html__( 'Footer Show', 'archee' ),
	'priority' => $priority++,
	'choices' => array(
		'show' => esc_html__( 'Show', 'archee' ),
		'hide' => esc_html__( 'Hide', 'archee' ),
	),
	'default' => 'hide',
) );

VLT_Options::add_field( array(
	'type' => 'select',
	'settings' => 'footer_template',
	'section' => 'section_footer_general',
	'label' => esc_html__( 'Footer Template', 'archee' ),
	'priority' => $priority++,
	'choices' => archee_get_elementor_templates(),
	'active_callback' => array(
		array(
			'setting' => 'footer_show',
			'operator' => '==',
			'value' => 'show'
		),
	)
) );

VLT_Options::add_field( array(
	'type' => 'select',
	'settings' => 'footer_fixed',
	'section' => 'section_footer_general',
	'label' => esc_html__( 'Footer Fixed', 'archee' ),
	'priority' => $priority++,
	'choices' => array(
		'enable' => esc_html__( 'Enable', 'archee' ),
		'disable' => esc_html__( 'Disable', 'archee' )
	),
	'default' => 'disable',
	'active_callback' => array(
		array(
			'setting' => 'footer_show',
			'operator' => '==',
			'value' => 'show'
		),
	)
) );

VLT_Options::add_field( array(
	'type' => 'select',
	'settings' => 'footer_parallax',
	'section' => 'section_footer_general',
	'label' => esc_html__( 'Footer Parallax', 'archee' ),
	'priority' => $priority++,
	'choices' => array(
		'enable' => esc_html__( 'Enable', 'archee' ),
		'disable' => esc_html__( 'Disable', 'archee' )
	),
	'default' => 'disable',
	'active_callback' => array(
		array(
			'setting' => 'footer_show',
			'operator' => '==',
			'value' => 'show'
		),
		array(
			'setting' => 'footer_fixed',
			'operator' => '==',
			'value' => 'enable'
		),
	)
) );