<?php

/**
 * @author: VLThemes
 * @version: 1.0.8
 */

$priority = 0;

/**
 * Blog general
 */
VLT_Options::add_field( array(
	'type' => 'select',
	'settings' => 'sticky_sidebar',
	'section' => 'section_blog_general',
	'label' => esc_html__( 'Sticky Sidebar', 'archee' ),
	'priority' => $priority++,
	'choices' => array(
		'enable' => esc_html__( 'Enable', 'archee' ),
		'disable' => esc_html__( 'Disable', 'archee' )
	),
	'default' => 'disable',
) );

/**
 * Blog page
 */
VLT_Options::add_field( array(
	'type' => 'custom',
	'settings' => 'sb_1',
	'section' => 'section_blog',
	'default' => '<div class="kirki-separator">' . esc_html__( 'General', 'archee' ) . '</div>',
	'priority' => $priority++,
) );

VLT_Options::add_field( array(
	'type' => 'select',
	'settings' => 'blog_type_pagination',
	'section' => 'section_blog',
	'label' => esc_html__( 'Type Pagination', 'archee' ),
	'priority' => $priority++,
	'choices' => array(
		'none' => esc_html__( 'None', 'archee' ),
		'paged' => esc_html__( 'Paged', 'archee' ),
		'numeric' => esc_html__( 'Numeric', 'archee' )
	),
	'default' => 'numeric',
) );

VLT_Options::add_field( array(
	'type' => 'custom',
	'settings' => 'sb_2',
	'section' => 'section_blog',
	'default' => '<div class="kirki-separator">' . esc_html__( 'Page Title', 'archee' ) . '</div>',
	'priority' => $priority++,
) );

VLT_Options::add_field( array(
	'type' => 'text',
	'settings' => 'blog_title',
	'section' => 'section_blog',
	'label' => esc_html__( 'Blog Title', 'archee' ),
	'priority' => $priority++,
	'default' => esc_html__( 'Blog', 'archee' ),
) );

/**
 * Archive page
 */
VLT_Options::add_field( array(
	'type' => 'custom',
	'settings' => 'sa_1',
	'section' => 'section_archive',
	'default' => '<div class="kirki-separator">' . esc_html__( 'General', 'archee' ) . '</div>',
	'priority' => $priority++,
) );

VLT_Options::add_field( array(
	'type' => 'select',
	'settings' => 'archive_type_pagination',
	'section' => 'section_archive',
	'label' => esc_html__( 'Type Pagination', 'archee' ),
	'priority' => $priority++,
	'choices' => array(
		'none' => esc_html__( 'None', 'archee' ),
		'paged' => esc_html__( 'Paged', 'archee' ),
		'numeric' => esc_html__( 'Numeric', 'archee' )
	),
	'default' => 'numeric',
) );

/**
 * Search page
 */
VLT_Options::add_field( array(
	'type' => 'custom',
	'settings' => 'ss_1',
	'section' => 'section_search',
	'default' => '<div class="kirki-separator">' . esc_html__( 'General', 'archee' ) . '</div>',
	'priority' => $priority++,
) );

VLT_Options::add_field( array(
	'type' => 'select',
	'settings' => 'search_type_pagination',
	'section' => 'section_search',
	'label' => esc_html__( 'Type Pagination', 'archee' ),
	'priority' => $priority++,
	'choices' => array(
		'none' => esc_html__( 'None', 'archee' ),
		'paged' => esc_html__( 'Paged', 'archee' ),
		'numeric' => esc_html__( 'Numeric', 'archee' )
	),
	'default' => 'numeric',
) );

/**
 * Single post
 */
VLT_Options::add_field( array(
	'type' => 'custom',
	'settings' => 'ssp_1',
	'section' => 'section_single_post',
	'default' => '<div class="kirki-separator">' . esc_html__( 'General', 'archee' ) . '</div>',
	'priority' => $priority++,
) );

VLT_Options::add_field( array(
	'type' => 'select',
	'settings' => 'single_post_default_style',
	'section' => 'section_single_post',
	'label' => esc_html__( 'Default Style', 'archee' ),
	'priority' => $priority++,
	'choices' => array(
		'none' => esc_html__( 'None', 'archee' ),
		'default' => esc_html__( 'Style 1', 'archee' ),
		'style-2' => esc_html__( 'Style 2', 'archee' ),
		'style-3' => esc_html__( 'Style 3', 'archee' ),
		'style-4' => esc_html__( 'Style 4', 'archee' ),
		'style-5' => esc_html__( 'Style 5', 'archee' ),
		'style-6' => esc_html__( 'Style 6', 'archee' ),
		'style-7' => esc_html__( 'Style 7', 'archee' )
	),
	'default' => 'none',
) );

VLT_Options::add_field( array(
	'type' => 'select',
	'settings' => 'post_reviews',
	'section' => 'section_single_post',
	'label' => esc_html__( 'Post Reviews', 'archee' ),
	'priority' => $priority++,
	'choices' => array(
		'show' => esc_html__( 'Show', 'archee' ),
		'hide' => esc_html__( 'Hide', 'archee' )
	),
	'default' => 'show',
) );

VLT_Options::add_field( array(
	'type' => 'select',
	'settings' => 'about_author',
	'section' => 'section_single_post',
	'label' => esc_html__( 'About Author', 'archee' ),
	'priority' => $priority++,
	'choices' => array(
		'show' => esc_html__( 'Show', 'archee' ),
		'hide' => esc_html__( 'Hide', 'archee' )
	),
	'default' => 'hide',
) );

VLT_Options::add_field( array(
	'type' => 'select',
	'settings' => 'post_views',
	'section' => 'section_single_post',
	'label' => esc_html__( 'Post Views', 'archee' ),
	'priority' => $priority++,
	'choices' => array(
		'show' => esc_html__( 'Show', 'archee' ),
		'hide' => esc_html__( 'Hide', 'archee' )
	),
	'default' => 'hide',
) );

VLT_Options::add_field( array(
	'type' => 'select',
	'settings' => 'show_share_post',
	'section' => 'section_single_post',
	'label' => esc_html__( 'Post Share', 'archee' ),
	'priority' => $priority++,
	'choices' => array(
		'show' => esc_html__( 'Show', 'archee' ),
		'hide' => esc_html__( 'Hide', 'archee' )
	),
	'default' => 'hide',
) );

VLT_Options::add_field( array(
	'type' => 'select',
	'settings' => 'also_like_posts',
	'section' => 'section_single_post',
	'label' => esc_html__( 'Also Like Posts', 'archee' ),
	'priority' => $priority++,
	'choices' => array(
		'show' => esc_html__( 'Show', 'archee' ),
		'hide' => esc_html__( 'Hide', 'archee' )
	),
	'default' => 'hide',
) );

VLT_Options::add_field( array(
	'type' => 'custom',
	'settings' => 'ssp_2',
	'section' => 'section_single_post',
	'default' => '<div class="kirki-separator">' . esc_html__( 'Navigation', 'archee' ) . '</div>',
	'priority' => $priority++,
) );

VLT_Options::add_field( array(
	'type' => 'select',
	'settings' => 'post_navigation',
	'section' => 'section_single_post',
	'label' => esc_html__( 'Post Navigation', 'archee' ),
	'priority' => $priority++,
	'choices' => array(
		'show' => esc_html__( 'Show', 'archee' ),
		'hide' => esc_html__( 'Hide', 'archee' )
	),
	'default' => 'show',
) );

VLT_Options::add_field( array(
	'type' => 'select',
	'settings' => 'post_navigation_style',
	'section' => 'section_single_post',
	'label' => esc_html__( 'Navigation Style', 'archee' ),
	'priority' => $priority++,
	'choices' => array(
		'style-1' => esc_html__( 'Style 1', 'archee' ),
		'style-2' => esc_html__( 'Style 2', 'archee' )
	),
	'default' => 'style-1',
	'active_callback' => array(
		array(
			'setting' => 'post_navigation',
			'operator' => '==',
			'value' => 'show'
		)
	),
) );

VLT_Options::add_field( array(
	'type' => 'dropdown-pages',
	'settings' => 'blog_link',
	'section' => 'section_single_post',
	'label' => esc_html__( 'Blog Link', 'archee' ),
	'tooltip' => esc_html__( 'For back button.', 'archee' ),
	'priority' => $priority++,
	'default' => '',
	'active_callback' => array(
		array(
			'setting' => 'post_navigation',
			'operator' => '==',
			'value' => 'show'
		)
	),
) );

/**
 * Page 404
 */
VLT_Options::add_field( array(
	'type' => 'text',
	'settings' => 'error_title',
	'section' => 'section_404',
	'label' => esc_html__( 'Error Title', 'archee' ),
	'priority' => $priority++,
	'default' => '404 Error',
) );

VLT_Options::add_field( array(
	'type' => 'textarea',
	'settings' => 'error_subtitle',
	'section' => 'section_404',
	'label' => esc_html__( 'Error Subtitle', 'archee' ),
	'priority' => $priority++,
	'default' => 'Oops! The page you are looking for does not exist.<br>It might have been moved or deleted.',
) );

VLT_Options::add_field( array(
	'type' => 'background',
	'settings' => 'error_background_image',
	'section' => 'section_404',
	'label' => esc_html__( 'Error Background', 'archee' ),
	'priority' => $priority++,
	'default' => array(
		'background-color' => '',
		'background-image' => '',
		'background-repeat' => 'no-repeat',
		'background-position' => 'center center',
		'background-size' => 'cover',
		'background-attachment' => 'scroll',
	),
	'output' => array(
		array(
			'element' => '.vlt-page--404'
		),
	),
) );

/**
 * Page protected
 */
VLT_Options::add_field( array(
	'type' => 'background',
	'settings' => 'protected_page_background',
	'section' => 'section_protected_page',
	'label' => esc_html__( 'Background', 'archee' ),
	'priority' => $priority++,
	'default' => array(
		'background-color' => '',
		'background-image' => '',
		'background-repeat' => 'no-repeat',
		'background-position' => 'top center',
		'background-size' => 'cover',
		'background-attachment' => 'scroll',
	),
	'output' => array(
		array(
			'element' => '.vlt-content-protected'
		),
	),
) );

VLT_Options::add_field( array(
	'type' => 'background',
	'settings' => 'protected_page_background_night_mode',
	'section' => 'section_protected_page',
	'label' => esc_html__( 'Background', 'archee' ),
	'tooltip' => esc_html__( 'Dark Mode', 'archee' ),
	'priority' => $priority++,
	'default' => array(
		'background-color' => '',
		'background-image' => '',
		'background-repeat' => 'no-repeat',
		'background-position' => 'top center',
		'background-size' => 'cover',
		'background-attachment' => 'scroll',
	),
	'output' => array(
		array(
			'element' => '.night-mode .vlt-content-protected'
		),
	),
) );