<?php

/**
 * @author: VLThemes
 * @version: 1.0.8
 */

/*
 * Replace content variables
 */
if ( ! function_exists( 'archee_replace_content_variables' ) ) {
	function archee_replace_content_variables( $text ) {
		global $post;

		if ( $post->post_parent ) {
			$ancestors = get_post_ancestors( $post->ID );
			$root = count( $ancestors ) - 1;
			$parentpost_id = $ancestors[ $root ];
		} else {
			$parentpost_id = $post->ID;
		}

		$replace = array(
			'%product_name%' => archee_get_field( 'product_name', $parentpost_id ),
			'%product_slug%' => archee_get_field( 'product_slug', $parentpost_id )
		);

		$text = str_replace( array_keys( $replace ), $replace, $text );
		return $text;
	}
}
add_filter( 'the_content', 'archee_replace_content_variables' );
add_filter( 'the_excerpt', 'archee_replace_content_variables' );
add_filter( 'archee/get_trimmed_content', 'archee_replace_content_variables' );

/*
 * Get post parent id
 */
if ( ! function_exists( 'archee_get_post_parent_id' ) ) {
	function archee_get_post_parent_id() {
		global $post;

		if ( $post->post_parent ) {
			$ancestors = get_post_ancestors( $post->ID );
			$root = count( $ancestors ) - 1;
			$parentpost_id = $ancestors[ $root ];
		} else {
			$parentpost_id = $post->ID;
		}

		return $parentpost_id;
	}
}