<?php

/**
 * @author: VLThemes
 * @version: 1.0.8
 */

/**
 * Required plugins
 */
if ( ! function_exists( 'archee_tgm_plugins' ) ) {
	function archee_tgm_plugins() {

		$source = 'https://vlthemes.me/plugins/';

		$plugins = array(
			array(
				'name' => esc_html__( 'Kirki', 'archee' ),
				'slug' => 'kirki',
				'required' => true,
			),
			array(
				'name' => esc_html__( 'Archee Helper Plugin', 'archee' ),
				'slug' => 'archee_helper_plugin',
				'source' => esc_url( $source . 'archee_helper_plugin.zip' ),
				'required' => true,
				'version' => '1.0.5'
			),
			array(
				'name' => esc_html__( 'Advanced Custom Fields Pro', 'archee' ),
				'slug' => 'advanced-custom-fields-pro',
				'source' => esc_url( $source . 'advanced-custom-fields-pro.zip' ),
				'required' => true,
			),
			array(
				'name' => esc_html__( 'Elementor Page Builder', 'archee' ),
				'slug' => 'elementor',
				'required' => false,
			),
			array(
				'name' => esc_html__( 'Revolution Slider', 'archee' ),
				'slug' => 'revslider',
				'source' => esc_url( $source . 'revslider.zip' ),
				'required' => false,
			),
			array(
				'name' => esc_html__( 'Visual Portfolio', 'archee' ),
				'slug' => 'visual-portfolio',
				'required' => false,
			),
			array(
				'name' => esc_html__( 'Contact Form 7', 'archee' ),
				'slug' => 'contact-form-7',
				'required' => false,
			),
			array(
				'name' => esc_html__( 'WooCommerce', 'archee' ),
				'slug' => 'woocommerce',
				'required' => false,
			),
			array(
				'name' => esc_html__( 'WCBoost - Variation Swatches', 'archee' ),
				'slug' => 'wcboost-variation-swatches',
				'required' => false,
			),
			array(
				'name' => esc_html__( 'Regenerate Thumbnails', 'archee' ),
				'slug' => 'regenerate-thumbnails',
				'required' => false,
			),
			array(
				'name' => esc_html__( 'Classic Widgets', 'archee' ),
				'slug' => 'classic-widgets',
				'required' => false,
			),
			array(
				'name' => esc_html__( 'One Click Demo Import', 'archee' ),
				'slug' => 'one-click-demo-import',
				'required' => false,
			)
		);

		if ( ARCHEE_DOCS ) {


			$plugins[] = array(
				'name' => esc_html__( 'Archee Helper Docs Plugin', 'archee' ),
				'slug' => 'archee_helper_docs',
				'source' => esc_url( $source . 'archee_helper_docs.zip' ),
				'required' => true,
			);

			$plugins[] = array(
				'name' => esc_html__( 'DocsPress', 'archee' ),
				'slug' => 'docspress',
				'required' => true,
			);

			$plugins[] = array(
				'name' => esc_html__( 'Conditional Fields for Contact Form 7', 'archee' ),
				'slug' => 'cf7-conditional-fields',
				'required' => false,
			);

			$plugins[] = array(
				'name' => esc_html__( 'Multiline files upload for contact form 7', 'archee' ),
				'slug' => 'multiline-files-for-contact-form-7',
				'required' => false,
			);

		}

		tgmpa( $plugins );
	}
}
add_action( 'tgmpa_register', 'archee_tgm_plugins' );

/**
 * Print notice if helper plugin is not installed
 */
if ( ! function_exists( 'archee_helper_plugin_notice' ) ) {
	function archee_helper_plugin_notice() {
		if ( class_exists( 'VLThemesHelperPlugin' ) ) {
			return;
		}
		echo '<div class="notice notice-info is-dismissible"><p>' . sprintf( __( 'Please activate <strong>%s</strong> before your work with this theme.', 'archee' ), 'Archee Helper Plugin' ) . '</p></div>';
	}
}
add_action( 'admin_notices', 'archee_helper_plugin_notice' );