<?php

/**
 * Template name: Knowbase
 * @author: VLThemes
 * @version: 1.0.8
 */

get_header(); ?>

<div class="vlt-main">

	<?php get_template_part( 'template-parts/page-title/page-title', 'knowbase' ); ?>

	<div class="vlt-page-content vlt-page-content--padding position-relative">

		<div class="vlt-vertical-lines"><div></div><div></div><div></div></div>

		<article <?php post_class( 'vlt-page' ); ?>>

			<div class="container">

				<div class="row">

					<div class="col-lg-10 offset-lg-1">

						<div class="vlt-knowbase vlt-grid" data-col="2">

							<?php

								$knowbase_category_selected = archee_get_theme_mod( 'knowbase_category_list' );

								if ( empty( $knowbase_category_selected ) || $knowbase_category_selected[ 0 ] == 0 ) {
									$knowbase_category_selected = [];
								}

								$atts = array( 'child_of' => false, 'hide_empty' => true, 'hierarchical' => false, 'taxonomy' => 'category_knowbase', 'pad_counts' => false );
								$cat = get_categories( $atts );

								foreach ( $cat as $categories ) : ?>

									<div class="vlt-knowbase-item">

										<div class="vlt-knowbase-item__content">

											<div class="vlt-knowbase-item__title">
												<h4><a href="<?php echo get_category_link( $categories->term_id ); ?>"><?php echo esc_html( $categories->name ); ?></a></h4>
												<span><?php printf( __( '(%s Articles)', 'archee' ), $categories->count ); ?></span>
											</div>

											<?php if ( $categories->description ) : ?>

												<div class="vlt-knowbase-item__description">
													<p><?php echo esc_html( $categories->description ); ?></p>
												</div>

											<?php endif; ?>

											<?php

												$count = 0;
												$articles_number = archee_get_theme_mod( 'knowbase_category_count' );

												$args = array(
													'posts_per_page' => -1,
													'tax_query' => array(
														'relation' => 'AND',
														array(
															'taxonomy' => 'knowbase_category',
															'field' => 'id',
															'terms' => array( $categories->term_id ),
														),
													)
												);

												$cat_post = new WP_Query( $args );

												if ( $cat_post->have_posts() ) : ?>

													<div class="vlt-knowbase-item__articles">

														<ul>
															<?php while ( $cat_post->have_posts() ) : $cat_post->the_post();

																if ( $count >= $articles_number ) {
																	break;
																}
																$count++; ?>

																<li><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></li>

															<?php endwhile; wp_reset_postdata(); ?>

														</ul>

													</div>

											<?php endif; ?>

											<?php if ( $cat_post->post_count > $articles_number ) : ?>

												<div class="vlt-knowbase-item__footer">

													<a href="<?php echo get_category_link( $categories->term_id ); ?>" class="vlt-simple-link">

														<?php
															// translators: %s articles count.
															printf( esc_html__( '%s More', 'archee' ), intval( $cat_post->post_count ) - $articles_number );
														?>

													</a>

												</div>

											<?php endif; ?>

										</div>

									</div>

							<?php endforeach; ?>

						</div>

					</div>

					<div class="col-lg-12">

						<?php
							wp_link_pages( array(
								'before' => '<div class="vlt-link-pages"><h6>' . esc_html__( 'Pages: ', 'archee' ) . '</h6>',
								'after' => '</div>',
								'separator' => '<span class="sep">|</span>',
								'nextpagelink' => esc_html__( 'Next page', 'archee' ),
								'previouspagelink' => esc_html__( 'Previous page', 'archee' ),
								'next_or_number' => 'next'
							) );
						?>

					</div>

				</div>

			</div>

		</article>

	</div>

</div>

<?php get_footer();?>