<?php

/**
 * @author: VLThemes
 * @version: 1.0.8
 */

$acf_navbar = archee_get_theme_mod( 'page_custom_navigation', true );

$header_class = 'vlt-header vlt-header--mobile';

if ( archee_get_theme_mod( 'navigation_opaque', $acf_navbar ) == 'enable' ) {
	$header_class .= apply_filters( 'vlthemes/navigation_opaque', ' vlt-header--opaque' );
}

$navbar_class = 'vlt-navbar vlt-navbar--main';

if ( archee_get_theme_mod( 'navigation_transparent', $acf_navbar ) == 'enable' ) {
	$navbar_class .= apply_filters( 'vlthemes/navigation_transparent', ' vlt-navbar--transparent' );
}

if ( archee_get_theme_mod( 'navigation_transparent_always', $acf_navbar ) == 'enable' ) {
	$navbar_class .= apply_filters( 'vlthemes/navigation_transparent_always', ' vlt-navbar--transparent-always' );
}

if ( archee_get_theme_mod( 'navigation_sticky', $acf_navbar ) == 'enable' ) {
	$navbar_class .= apply_filters( 'vlthemes/navigation_sticky', ' vlt-navbar--sticky' );

	if ( archee_get_theme_mod( 'navigation_hide_on_scroll', $acf_navbar ) == 'enable' ) {

		$navbar_class .= apply_filters( 'vlthemes/navigation_hide_on_scroll', ' vlt-navbar--hide-on-scroll' );

	}

}

if ( archee_get_theme_mod( 'navigation_white_text_on_top', $acf_navbar ) == 'enable' ) {
	$navbar_class .= apply_filters( 'vlthemes/navigation_white_text_on_top', ' vlt-navbar--white-text-on-top' );
}

?>

<div class="d-<?php echo archee_nav_breakpoint(); ?>-none d-sm-block">

	<header class="<?php echo archee_sanitize_class( $header_class ); ?>">

		<div class="<?php echo archee_sanitize_class( $navbar_class ); ?>">

			<div class="vlt-navbar-inner">

				<a href="<?php echo esc_url( home_url( '/' ) ); ?>" class="vlt-navbar-logo">

					<?php if ( archee_get_theme_mod( 'header_logo' ) ) : ?>

						<?php

							echo wp_get_attachment_image( archee_get_theme_mod( 'header_logo' ), 'full', false, array( 'loading' => 'lazy', 'class' => 'black' ) );

							if ( archee_get_theme_mod( 'header_logo_white' ) ) {
								echo wp_get_attachment_image( archee_get_theme_mod( 'header_logo_white' ), 'full', false, array( 'loading' => 'lazy', 'class' => 'white' ) );
							}

						?>

					<?php else: ?>

						<h2><?php bloginfo( 'name' ); ?></h2>

					<?php endif; ?>

				</a>
				<!-- .vlt-navbar-logo -->

				<div class="vlt-navbar-buttons">

					<?php

						$acf_page_night_mode_toggle_button = archee_get_theme_mod( 'page_custom_night_mode_toggle_button', true );
						if ( archee_get_theme_mod( 'night_mode_toggle_button', $acf_page_night_mode_toggle_button ) == 'show' ) :

					?>

						<a href="#" class="vlt-night-mode-icon js-night-mode-trigger has-switch-button">
							<i class="fa-regular fa-fw fa-brightness"></i>
							<i class="fa-solid fa-fw fa-moon"></i>
						</a>

					<?php endif; ?>

					<?php if ( ARCHEE_WOOCOMMERCE ) : ?>

						<?php if ( archee_get_theme_mod( 'header_cart_icon' ) == 'always-show' || ( archee_get_theme_mod( 'header_cart_icon' ) == 'show' && ( is_woocommerce() || is_page_template( 'template-woocommerce-page.php' ) ) ) ) : ?>

							<a href="<?php echo esc_url( wc_get_cart_url() ); ?>" class="vlt-shop-cart-icon">
								<i class="fa-regular fa-fw fa-cart-shopping"></i>
								<span class="vlt-shop-cart-icon__count"><?php echo esc_html( WC()->cart->get_cart_contents_count() ); ?></span>
							</a>

						<?php endif; ?>

					<?php endif; ?>

					<a href="#" class="vlt-menu-burger js-mobile-menu-toggle has-switch-button">
						<i class="fa-regular fa-fw fa-bars"></i>
						<i class="fa-regular fa-fw fa-xmark"></i>
					</a>

				</div>
				<!-- /.vlt-navbar-buttons -->

			</div>
			<!-- /.vlt-navbar-inner -->

			<nav class="vlt-nav vlt-nav--mobile" data-submenu-effect="style-2">

				<div class="vlt-nav--mobile__navigation">

					<?php get_template_part( 'template-parts/header/partials/partial', 'primary-menu' ); ?>

				</div>

			</nav>
			<!-- /.vlt-nav -->

		</div>
		<!-- /.vlt-navbar -->

	</header>
	<!-- /.vlt-header--fullscreen -->

</div>
<!-- ./d-none d-<?php echo archee_nav_breakpoint(); ?>-none d-sm-block -->