<?php

/**
 * @author: VLThemes
 * @version: 1.0.8
 */

$acf_navbar = archee_get_theme_mod( 'page_custom_navigation', true );

$header_class = 'vlt-header vlt-header--slide';
$navbar_class = 'vlt-navbar vlt-navbar--main';

?>

<div class="d-none d-<?php echo archee_nav_breakpoint(); ?>-block">

	<header class="<?php echo archee_sanitize_class( $header_class ); ?>">

		<div class="<?php echo archee_sanitize_class( $navbar_class ); ?>">

			<div class="vlt-navbar-inner">

				<div class="vlt-navbar-inner--top">

					<a href="<?php echo esc_url( home_url( '/' ) ); ?>" class="vlt-navbar-logo">

						<?php if ( archee_get_theme_mod( 'header_logo' ) ) : ?>

							<?php

								echo wp_get_attachment_image( archee_get_theme_mod( 'header_logo' ), 'full', false, array( 'loading' => 'lazy', 'class' => 'black' ) );

								if ( archee_get_theme_mod( 'header_logo_white' ) ) {
									echo wp_get_attachment_image( archee_get_theme_mod( 'header_logo_white' ), 'full', false, array( 'loading' => 'lazy', 'class' => 'white' ) );
								}

							?>

						<?php else: ?>

							<h2><?php echo substr( get_bloginfo( 'name' ), 0, 1 ); ?></h2>

						<?php endif; ?>

					</a>
					<!-- .vlt-navbar-logo -->

				</div>
				<!-- /.vlt-navbar-inner--top -->

				<div class="vlt-navbar-inner--center">

					<?php if ( get_bloginfo( 'description' ) && archee_get_theme_mod( 'header_tagline' ) == 'show' ) : ?>

						<span class="vlt-navbar-tagline"><?php echo html_entity_decode( get_bloginfo( 'description' ) ); ?></span>

					<?php endif; ?>

				</div>
				<!-- /.vlt-navbar-inner--center -->

				<div class="vlt-navbar-inner--bottom">

					<div class="vlt-navbar-buttons d-flex align-items-stretch flex-column m-0">

						<?php get_template_part( 'template-parts/header/partials/partial', 'buttons-vertical' ); ?>

						<a href="#" class="vlt-menu-burger js-slide-menu-toggle has-switch-button" data-tippy-content="<?php esc_attr_e( 'Toggle Menu', 'archee' ); ?>" data-tippy-placement="right">
							<i class="fa-regular fa-fw fa-bars"></i>
							<i class="fa-regular fa-fw fa-xmark"></i>
						</a>

					</div>

				</div>
				<!-- /.vlt-navbar-inner--bottom -->

			</div>

		</div>
		<!-- /.vlt-navbar -->

	</header>
	<!-- /.vlt-header--slide -->

	<nav class="vlt-nav vlt-nav--slide" data-submenu-effect="style-2">

		<div class="vlt-nav--slide__background"></div>

		<div class="vlt-nav-table">

			<div class="vlt-nav-row">

				<?php

					if ( archee_get_theme_mod( 'header_search', $acf_navbar ) == 'show' ) {
						get_template_part( 'template-parts/header/partials/partial', 'header-search' );
					}

				?>

			</div>

			<div class="vlt-nav-row vlt-nav-row--full vlt-nav-row--center">

				<div class="vlt-nav--slide__navigation">

					<?php get_template_part( 'template-parts/header/partials/partial', 'primary-menu' ); ?>

				</div>

			</div>

			<div class="vlt-nav-row">

				<?php if ( archee_get_theme_mod( 'header_social_list' ) ) : ?>

					<div class="vlt-navbar-socials">

						<?php

							foreach ( archee_get_theme_mod( 'header_social_list' ) as $socialItem ) :

								if ( $socialItem[ 'social_icon' ] ) {
									echo '<a class="vlt-social-icon vlt-social-icon--style-2" href="' . esc_url( $socialItem[ 'social_url' ] ) . '" target="_blank"><i class="' . archee_sanitize_class( $socialItem[ 'social_icon' ] ) . '"></i></a>';
								}

							endforeach;

						?>

					</div>

				<?php endif; ?>

			</div>

		</div>

	</nav>

</div>
<!-- ./d-none d-<?php echo archee_nav_breakpoint(); ?>-block -->