<?php

/**
 * @author: VLThemes
 * @version: 1.0.8
 */

?>

<?php if ( archee_get_theme_mod( 'site_fullscreen_icon' ) == 'show' ) : ?>

	<a href="#" class="vlt-site-fullscreen-icon js-site-fullscreen-toggle has-switch-button" data-tippy-content="<?php esc_attr_e( 'Fullscreen', 'archee' ); ?>" data-tippy-placement="right">
		<i class="fa-regular fa-fw fa-expand"></i>
		<i class="fa-regular fa-fw fa-compress"></i>
	</a>

<?php endif; ?>

<?php

	$acf_page_night_mode_toggle_button = archee_get_theme_mod( 'page_custom_night_mode_toggle_button', true );
	if ( archee_get_theme_mod( 'night_mode_toggle_button', $acf_page_night_mode_toggle_button ) == 'show' ) :

?>

	<a href="#" class="vlt-night-mode-icon js-night-mode-trigger has-switch-button" data-tippy-content="<?php esc_attr_e( 'Night Mode', 'archee' ); ?>" data-tippy-placement="right">
		<i class="fa-regular fa-fw fa-brightness"></i>
		<i class="fa-solid fa-fw fa-moon"></i>
	</a>

<?php endif; ?>

<?php if ( ARCHEE_WOOCOMMERCE ) : ?>

	<?php if ( archee_get_theme_mod( 'header_cart_icon' ) == 'always-show' || ( archee_get_theme_mod( 'header_cart_icon' ) == 'show' && ( is_woocommerce() || is_page_template( 'template-woocommerce-page.php' ) ) ) ) : ?>

		<a href="<?php echo esc_url( wc_get_cart_url() ); ?>" class="vlt-shop-cart-icon" data-tippy-content="<?php esc_attr_e( 'Cart', 'archee' ); ?>" data-tippy-placement="right">
			<i class="fa-regular fa-fw fa-cart-shopping"></i>
			<span class="vlt-shop-cart-icon__count"><?php echo esc_html( WC()->cart->get_cart_contents_count() ); ?></span>
		</a>

	<?php endif; ?>

<?php endif; ?>

<?php if ( ARCHEE_DOCS ) : ?>

	<?php if ( archee_get_theme_mod( 'submit_ticket_icon' ) == 'show' && archee_get_theme_mod( 'submit_ticket_link' ) ) : ?>

		<a href="<?php echo get_permalink( archee_get_theme_mod( 'submit_ticket_link' ) ); ?>" class="vlt-submit-ticket-icon" data-tippy-content="<?php esc_attr_e( 'Submit Ticket', 'archee' ); ?>" data-tippy-placement="right">
			<i class="fa-regular fa-fw fa-square-question"></i>
		</a>

	<?php endif; ?>

<?php endif; ?>

<?php if ( is_active_sidebar( 'offcanvas_sidebar' ) ) : ?>

	<a href="#" class="vlt-offcanvas-sidebar-icon js-offcanvas-sidebar-toggle has-switch-button" data-tippy-content="<?php esc_attr_e( 'Sidebar', 'archee' ); ?>" data-tippy-placement="right">
		<i class="fa-solid fa-fw fa-grid"></i>
		<i class="fa-regular fa-fw fa-xmark"></i>
	</a>

<?php endif; ?>