<?php

/**
 * @author: VLThemes
 * @version: 1.0.8
 */

add_filter( 'vlthemes/post-media-image-size', function() {
	return 'archee-800x600_crop';
} );

add_filter( 'vlthemes/post-media-image-curl', function() {
	return false;
} );

$post_class = 'vlt-post vlt-post--style-2';

$format = get_post_format();

if ( false == $format ) {
	$format = 'standard';
}

?>

<article <?php post_class( $post_class ); ?>>

	<?php if ( has_post_thumbnail() ) : ?>

		<div class="vlt-post-media">

			<?php get_template_part( 'template-parts/post/media/post-media', 'image' ); ?>

		</div>

	<?php endif; ?>

	<div class="vlt-post-content">

		<?php

			if ( $format !== 'link' && $format !== 'quote' ) {
				get_template_part( 'template-parts/post/partials/partial-post', 'meta-filled' );
			}

		?>

		<header class="vlt-post-header">

			<?php get_template_part( 'template-parts/post/partials/partial-post', 'title' ); ?>

		</header>
		<!-- /.vlt-post-header -->

		<div class="vlt-post-excerpt">

			<?php echo archee_get_trimmed_content( 22 ); ?>

		</div>
		<!-- /.vlt-post-excerpt -->

		<footer class="vlt-post-footer">

			<?php get_template_part( 'template-parts/post/partials/partial-post', 'read-more-link' ); ?>

		</footer>
		<!-- /.vlt-post-footer -->

	</div>
	<!-- /.vlt-post-content -->

</article>
<!-- /.vlt-post -->