<?php

/**
 * @author: VLThemes
 * @version: 1.0.8
 */

add_filter( 'vlthemes/post-media-image-size', function() {
	return 'archee-800x600_crop';
} );

add_filter( 'vlthemes/post-media-image-ratio', function() {
	return 'ratio ratio-4x3';
} );

add_filter( 'vlthemes/post-media-image-link', function() {
	return true;
} );

$post_class = 'vlt-post vlt-post--style-5';

$format = get_post_format();

if ( false == $format ) {
	$format = 'standard';
}

?>

<article <?php post_class( $post_class ); ?>>

	<?php get_template_part( 'template-parts/post/partials/partial-post', 'category-outside' ); ?>

	<?php if ( has_post_thumbnail() ) : ?>

		<div class="vlt-post-media">

			<?php get_template_part( 'template-parts/post/media/post-media', 'image' ); ?>

		</div>

	<?php endif; ?>

	<div class="vlt-post-content">

		<header class="vlt-post-header">

			<?php get_template_part( 'template-parts/post/partials/partial-post', 'title' ); ?>

			<?php get_template_part( 'template-parts/post/partials/partial-post', 'meta-small' ); ?>

		</header>
		<!-- /.vlt-post-header -->

	</div>
	<!-- /.vlt-post-content -->

</article>
<!-- /.vlt-post -->