<?php

/**
 * @author: VLThemes
 * @version: 1.0.8
 */

$format = get_post_format();

if ( false == $format ) {
	$format = 'standard';
}

?>

<main class="vlt-main">

	<div class="vlt-page-content vlt-page-content--padding">

		<div class="container">

			<div class="row">

				<div class="col-lg-8 offset-lg-2">

					<article <?php post_class( 'vlt-single-post' ); ?>>

						<header class="vlt-single-post__header">

							<?php get_template_part( 'template-parts/single-post/partials/partial-post', 'title' ); ?>

							<?php if ( get_post_type( get_the_ID() ) == 'knowbase' ) : ?>

								<div class="vlt-post-meta">

									<span><i class="fa-regular fa-calendar-alt"></i><a href="<?php the_permalink(); ?>"><time datetime="<?php the_time( 'c' ); ?>"><?php echo get_the_date(); ?></time></a></span>

									<?php if ( archee_get_post_taxonomy( get_the_ID(), 'knowbase_category', ', ' ) ) : ?>
										<span><i class="fa-regular fa-folder"></i><?php echo archee_get_post_taxonomy( get_the_ID(), 'knowbase_category', ', ' ); ?></span>
									<?php endif; ?>

									<span><i class="fa-regular fa-clock"></i><?php echo archee_get_reading_time(); ?></span>

								</div>
								<!-- /.vlt-post-meta -->

							<?php endif; ?>

						</header>
						<!-- /.vlt-single-post__header -->

						<div class="vlt-single-post__content clearfix">
							<?php get_template_part( 'template-parts/single-post/partials/partial-post', 'content' ); ?>
						</div>
						<!-- /.vlt-single-post__content -->

						<?php if ( get_post_type( get_the_ID() ) == 'knowbase' ) : ?>

							<footer class="vlt-single-post__footer vlt-single-post__footer--large">

								<?php if ( function_exists( 'vlthemes_get_post_share_buttons' ) ) : ?>

									<div class="vlt-post-share-large">

										<h6 class="vlt-post-share-large__title"><?php esc_html_e( 'Share this', 'archee' ); ?></h6>

										<div class="vlt-post-share-large__links">
											<?php echo vlthemes_get_post_share_buttons( get_the_ID() ); ?>
										</div>

										<div class="vlt-post-share-large__permalink">
											<input type="text" name="shortlink" value="<?php the_permalink(); ?>" readonly>
											<span data-tippy-content="<?php esc_attr_e( 'Copy', 'archee' ); ?>" data-tippy-placement="top"><i class="fa-regular fa-copy"></i></span>
										</div>

									</div>

								<?php endif; ?>

							</footer>
							<!-- /.vlt-single-post__footer -->

						<?php endif; ?>

					</article>

				</div>

			</div>

		</div>

	</div>
	<!-- /.vlt-page-content -->

</main>
<!-- /.vlt-main -->