<?php

/**
 * @author: VLThemes
 * @version: 1.0.8
 */

if ( archee_get_field( 'single_post_criteria' ) ) : ?>

	<div class="vlt-post-reviews">

		<h4 class="vlt-post-reviews__title"><i class="fa-regular fa-star-half-alt"></i><?php esc_html_e( 'Review Overview', 'archee' ); ?><span data-tippy-content="<?php esc_attr_e( 'Average Value', 'archee' ); ?>" data-tippy-placement="left"><?php echo get_post_meta( get_the_ID(), 'review_average_value', true ); ?></span></h4>
		<!-- /.vlt-post-reviews__title -->

		<div class="vlt-post-reviews__content">

			<?php

				if ( have_rows( 'single_post_criteria' ) ) :

					$values = [];

					while ( have_rows( 'single_post_criteria' ) ) : the_row();

						$values[] = get_sub_field( 'criteria_value' );
						$percent_value = ( 100 * get_sub_field( 'criteria_value' ) ) / 10;

						echo '<div class="vlt-progress-bar vlt-progress-bar--default vlt-progress-bar--counter-full-right" data-final-value="' . esc_attr( $percent_value ) . '" data-animation-speed="3000">';

							echo '<h6 class="vlt-progress-bar__title">' . get_sub_field( 'criteria_title' ) . '<span class="counter">0</span></h6>';

							echo '<div class="vlt-progress-bar__track"><span class="bar"></span></div>';

						echo '</div>';

					endwhile;

				endif;

			?>

		</div>
		<!-- /.vlt-post-reviews__content -->

		<?php if ( archee_get_field( 'single_post_criteria_summary' ) ) : ?>

			<div class="vlt-post-reviews__summary">

				<h5><?php esc_html_e( 'Summary', 'archee' ); ?></h5>

				<p><?php echo archee_get_field( 'single_post_criteria_summary' ); ?></p>

			</div>
			<!-- /.vlt-post-reviews__summary -->

		<?php endif; ?>

	</div>
	<!-- /.vlt-post-reviews -->

<?php endif; ?>