<?php
/**
 * The Template for displaying all single products
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/single-product.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see         https://docs.woocommerce.com/document/template-structure/
 * @package     WooCommerce\Templates
 * @version     1.6.4
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

get_header( 'shop' ); ?>

	<main class="vlt-main">

		<?php get_template_part( 'template-parts/page-title/page-title', 'product' ); ?>

		<div class="vlt-page-content vlt-page-content--padding">

			<?php

				while ( have_posts() ) : the_post();

					wc_get_template_part( 'content', 'single-product' );

				endwhile;
			?>

		</div>
		<!-- /.vlt-page-content -->

		<?php

			if ( archee_get_theme_mod( 'product_navigation' ) == 'show' ) {
				echo archee_get_post_navigation( archee_get_theme_mod( 'product_navigation_style' ), 'product' );
			}

		?>

	</main>
	<!-- /.vlt-main -->

<?php

get_footer( 'shop' );

/* Omit closing PHP tag at the end of PHP files to avoid "headers already sent" issues. */